{{ if .content.IsSection }}
{{ range .content.Pages.ByTitle }}
<li {{- if eq .RelPermalink $.active }} class="current"{{ end }}><a
    class="block px-2 py-1 mb-1 rounded hover:bg-gray-100 {{- if eq .RelPermalink $.active }} active{{ end }}"
    href="{{ .RelPermalink }}">{{ .Title }}</a>

  <ul class="ml-2 pl-3 border-l border-gray-200">
    {{ partial "toc-items" (dict "content" . "active" $.active)}}
  </ul>
</li>
{{ end }}
{{ else }}
{{ range .content.Fragments.Headings }}
{{ if .Title }}
<li {{- if eq $.content.RelPermalink $.active }} class="current"{{ end }}><a class="block px-2 py-1 mb-1 rounded hover:bg-gray-100" href="{{ printf "%s#%s" $.content.RelPermalink .ID }}">
  {{- .Title -}}
</a></li>
{{ end }}
{{ range .Headings }}
<li {{- if eq $.content.RelPermalink $.active }} class="current"{{ end }}><a class="block px-2 py-1 mb-1 rounded hover:bg-gray-100" href="{{ printf "%s#%s" $.content.RelPermalink .ID }}">
  {{- .Title -}}
</a></li>
{{ end }}
{{ end }}
{{ end }}
